<template>
   <div id="app" class="container">
    <div class="page-header">
    </div>
    <div class="panel panel-default">
      <div class="panel-heading">
        <h3 class="panel-title">Atualizar cliente</h3>
      </div>
      <div class="panel-body">
         <b-form id="form" class="form-inline" v-on:submit.prevent="updateUser">
          <div class="form-group">
            <label for="userName">Nome:</label>
            <input type="text" id="userName" class="form-control" v-model="newUser.name">
          </div>
          <input type="submit" class="btn btn-primary" value="Atualizar">
        </b-form>
      </div>
    </div>
  </div>
</template>

<script>
import toastr from 'toastr'
import { db } from '/home/carolina/Documentos/zrp/repositorios/account-manager/src/config/db';

let usersRef = db.ref('users')

export default {
  components: {
      name: 'EditUser'
  },
  firebase: {
    users: db.ref('users'),
    usersObj: {
      source: db.ref('users'),
      asObject: true
    }
  },
  data () {
    return {
      newUser: {}
    }
  },
  created() {
     let user = this.usersObj[this.$route.params.id]
     this.newUser = {
       name: user.name
    }
  },
  methods: {
    updateUser() {
      usersRef.child(this.$route.params.id).set(this.newUser);
      this.$router.push('/users')
      toastr.success('Usuário atualizado com sucesso')
    }
  }
}
</script>